Subject: Re: bug#44131: 28.0.50; emacsclient Invalid socket owner error in gccemacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Oct 2020 14:54:33 +0200

Andrew Eggenberger <[email-masked]> writes:

> The emacsclient binary produced by the native-comp branch cannot connect
> to the server. When a connection is attempted, the error message
> "emacsclient: Invalid socket owner" is displayed. I have 27.1 without
> native-comp installed, and that emacsclient can connect to the
> native-comp server without issue.

I tried this with the current native-comp branch:

$ ./src/emacs -Q
M-x server-start
$ ./lib-src/emacsclient -t

and everything worked as it should, so I'm unable to reproduce this bug.

Do you have a recipe for reproducing this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no